"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModalCommandsPlugin = void 0;
const framework_1 = require("@sapphire/framework");
const node_path_1 = require("node:path");
class ModalCommandsPlugin extends framework_1.Plugin {
    static [framework_1.postInitialization]() {
        if (this.options.modalCommands?.separator === '' &&
            !this.options.modalCommands.unsafeUseAnEmptyStringAsSeparator)
            throw new TypeError(`The separator for the modal commands plugin cannot be an empty string (otherwise every modal interaction will trigger every command).
If you want to use an empty string, set \`client.options.modalCommands.unsafeUseAnEmptyStringAsSeparator\` to true.'`);
        this.stores.get('listeners').registerPath((0, node_path_1.join)(__dirname, 'listeners'));
    }
}
exports.ModalCommandsPlugin = ModalCommandsPlugin;
framework_1.SapphireClient.plugins.registerPostInitializationHook(ModalCommandsPlugin[framework_1.postInitialization], 'ModalCommands-PostInitialization');
